# $Revision: 1.17 $, $Date: 2008-01-04 19:41:24 $
%define		module	PyQt4
%define		sipver  2:4.7.1

Summary:	Python bindings for the Qt4 toolkit
Summary(pl.UTF-8):	Dowiązania do toolkitu Qt4 dla Pythona
Name:		python-%{module}
Version:	4.3.3
Release:	1	
License:	GPL v2
Group:		Libraries/Python
Source0:	http://www.riverbankcomputing.com/Downloads/PyQt4/GPL/PyQt-x11-gpl-%{version}.tar.gz
# Source0-md5:	a2ead359f57d84c24bdd10de387e80b4
URL:		http://www.riverbankcomputing.co.uk/pyqt/index.php
BuildRequires:	QtAssistant-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtSql-devel
BuildRequires:	QtSvg-devel
BuildRequires:	QtXml-devel
BuildRequires:	QtTest-devel
BuildRequires:	python-sip-devel >= %{sipver}
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-libs
Requires:	python-sip >= %{sipver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_sipfilesdir	%{_datadir}/sip

%description
PyQt4 is a set of Python bindings for the Qt4 toolkit. The bindings
are implemented as a set of Python modules: QtAssistant, QtCore,
QtGui, QtNetwork, QtOpenGL, QtSql, QtSvg and QtXml.

%description -l pl.UTF-8
PyQt4 to zbiór dowiązań do Qt4 dla Pythona. Dowiązania zostały
zaimplementowane jako moduły Pythona: QtAssistant, QtCore, QtGui,
QtNetwork, QtOpenGL, QtSql, QtSvg i QtXml.

%package devel
Summary:	Files needed to build other bindings based on Qt4
Summary(pl.UTF-8):	Pliki potrzebne do budowania innych dowiązań bazowanych na Qt4
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-sip-devel

%description devel
Files needed to build other bindings for C++ classes that inherit from
any of the Qt4 classes (e.g. KDE or your own).

%description devel -l pl.UTF-8
Pliki potrzebne do budowania innych dowiązań do klas C++
dziedziczących z dowolnej klasy Qt4 (np. KDE lub własnych).

%package examples
Summary:	Examples for PyQt4
Summary(pl.UTF-8):	Przykłady do PyQt4
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Examples code demonstrating how to use the Python bindings for Qt4.

%description examples -l pl.UTF-8
Przykładowy kod demonstrujący jak używać PyQt4.

%prep
%setup -q -n PyQt-x11-gpl-%{version}
%{__sed} -i 's,pyuic.py,pyuic.pyc,' configure.py

%build
echo 'yes' | python configure.py \
	-c -j 3 \
	-b %{_bindir} \
	-d %{py_sitedir} \
	-q "%{_bindir}/qmake-qt4" \
	-v %{_sipfilesdir}/%{module} \
	LIBDIR_QT="%{_libdir}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

cp -R examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/*
%dir %{py_sitedir}/PyQt4
%attr(755,root,root) %{py_sitedir}/PyQt4/*.so*
%{py_sitedir}/PyQt4/*.py[co]
%{py_sitedir}/PyQt4/uic

%files devel
%defattr(644,root,root,755)
%{_sipfilesdir}/PyQt4

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyQt4.spec,v $
Revision 1.17  2008-01-04 19:41:24  qboosh
- qt4-qmake -> qmake-qt4

Revision 1.16  2007-12-06 19:44:21  rotom
- up to 4.3.3

Revision 1.15  2007-11-11 16:29:08  arekm
- up to 4.3.1

Revision 1.14  2007/08/03 20:51:06  twittner
- fixed duoble PyQt4/PyQt4 in modules path
- rel. 1

Revision 1.13  2007/08/02 18:30:52  twittner
- added missing BR: QtScript-devel

Revision 1.12  2007/07/31 17:57:36  twittner
- up to 4.3

Revision 1.11  2007/06/12 21:50:05  arekm
- rel 3

Revision 1.10  2007/04/11 08:38:41  shadzik
- fix %files
- rel 2

Revision 1.9  2007/04/11 01:56:34  shadzik
- 4.2
- updated BRs

Revision 1.8  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.6  2006/12/25 04:02:31  charles
- BR: QtTest-devel

Revision 1.5  2006/12/15 21:43:42  prism
- 4.1.1, seems to work nicely with Qt 4.2.2

Revision 1.4  2006/02/22 06:19:23  charles
- snap 20060221

Revision 1.3  2006/02/19 01:31:57  charles
- s/pyuic.py/pyuic.pyc/ (called from pyuic4 wrapper)

Revision 1.2  2006/02/18 10:23:15  qboosh
- typo, missing dirs

Revision 1.1  2006/02/18 02:42:32  charles
- initial release
